
    // Находим форму по ее ID
    var form = document.querySelector('form');

    // Находим поле для ввода номера
    var input = document.getElementById('my-input');

    // Добавляем обработчик события для кнопки "Поиск"
    form.addEventListener('submit', function(event) {
        // Проверяем введенное значение по заданному pattern
        if (!input.checkValidity()) {
            // Если введенное значение не соответствует pattern, предотвращаем отправку формы
            event.preventDefault();
            alert('Пожалуйста, введите номер автомобиля в формате 2025MR01');
        }
    });

